<div class="merchant-groups">
  <layout-page-header
    [title]="'MERCHANT_MANAGER.MERCHANT_GROUPS.TITLE' | translate"
    [description]="'MERCHANT_MANAGER.MERCHANT_GROUPS.DESCRIPTION' | translate"
    [total]="(merchantGroups$ | async)?.count"
    [tooltipMessage]="'MERCHANT_MANAGER.MERCHANT_GROUPS.TOTAL_TOOLTIP' | translate"
  ></layout-page-header>
  <layout-card-container>
    <merchant-groups-filters></merchant-groups-filters>
    <div class="merchant-groups__cards">
      <mo-list-with-controls
        [response]="merchantGroups$ | async"
        [isLoading]="isLoadingMerchantGroups$ | async"
        [customContentStyles]="listMerchantGroupsStyle"
        [customTemplate]="itemTemplate"
        [skeletons]="skeleton"
        [pageSize]="pageSize"
        (changeTableFilters)="onChangePageFilter($event)"
      >
      </mo-list-with-controls>
    </div>
  </layout-card-container>
</div>

<ng-template let-merchantGroup="item" #itemTemplate>
  <merchant-groups-card [merchantGroup]="merchantGroup"></merchant-groups-card>
</ng-template>
